Skip to main content
POST
/
v1
/
timekeeping
/
timecard
/
me
Punch Timecard
curl --request POST \
  --url https://app.untetherlabs.com/api/v1/timekeeping/timecard/me \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "clock_in",
  "note": "<string>"
}
'
{
  "punches": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timecardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2024-11-20T07:43:34+0000",
      "updatedAt": "2024-11-20T07:43:34+0000",
      "action": "clock_in",
      "state": "pending",
      "time": "2024-11-20T07:43:34+0000",
      "providerNote": "Felt sick, had to leave early.",
      "adminNote": "Adjusted to schedule.",
      "generated": false
    }
  ],
  "nextAction": [
    "clock_in"
  ],
  "nextShift": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "startDate": "2024-11-20T07:43:34+0000",
    "endDate": "2024-11-20T07:43:34+0000",
    "onCall": true
  },
  "currentShift": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "startDate": "2024-11-20T07:43:34+0000",
    "endDate": "2024-11-20T07:43:34+0000",
    "onCall": true
  }
}
Create a new timecard for the authenticated user. This endpoint is used to create a new timecard entry for the current pay period.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
action
enum<string>
required
Available options:
clock_in,
clock_out,
break_start,
break_end
note
string | null

Response

punches
object[]
required
nextAction
enum<string>[]
required
Available options:
clock_in,
clock_out,
break_start,
break_end
nextShift
object
currentShift
object